%define nam             scim
%define ver             1.2.1
%define rel             b1
%define build_config_socket	1
%define build_config_simple	1
%define build_frontend_x11	1
%define build_frontend_socket	1
%define build_imengine_rawcode	1
%define build_imengine_socket	1
%define build_gtk2_immodule	1
%define build_scim_setup        1
%define build_panel_gtk         1
%define build_gtk_utils         1

# Something's not quite right with libtool....
%define __libtoolize    echo

Summary:        Smart Chinese/Common Input Method platform
Name:           %{nam}
Version:        %{ver}
Release:        %{rel}
License:        LGPL
Group:          System Environment/Libraries
URL:            http://scim.freedesktop.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: i586

Source0:        %{name}-%{version}.tar.bz2
#NoSource: 0

PreReq:         /sbin/ldconfig, /bin/sh

%if %{build_gtk_utils}
Requires:       glib2 >= 2.0.0
BuildRequires:  glib2-devel >= 2.0.0
Requires:       gtk2 >= 2.3.5
BuildRequires:  gtk2-devel >= 2.3.5
Requires:       pango >= 1.0.0
BuildRequires:  pango-devel >= 1.0.0
%endif

%if %{build_frontend_x11}
Requires:       XFree86-libs >= 4.1.0
BuildRequires:  XFree86-devel >= 4.1.0
%endif

BuildRequires:  pkgconfig >= 0.12

%description
SCIM is a developing platform to significant reduce the difficulty of
input method development.

%package devel
Summary:        Smart Chinese/Common Input Method platform
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       pkgconfig >= 0.12

%description devel
The scim-devel package includes the static libraries and header files
for the scim package.

Install scim-devel if you want to develop programs which will use
scim.

#--------------------------------------------------

%prep

%setup -n %{name}-%{version}

%build
CFLAGS="-O3" CXXFLAGS="-O3" \
%configure \
%if ! %{build_config_socket}
  --disable-config-socket \
%endif
%if ! %{build_config_simple}
  --disable-config-simple \
%endif
%if ! %{build_frontend_x11}
  --disable-frontend-x11 \
%endif
%if ! %{build_frontend_socket}
  --disable-frontend-socket \
%endif
%if ! %{build_imengine_rawcode}
  --disable-im-rawcode \
%endif
%if ! %{build_imengine_socket}
  --disable-im-socket \
%endif
%if ! %{build_gtk2_immodule}
  --disable-gtk2-immodule \
%endif
%if ! %{build_scim_setup}
  -disable-setup-ui \
%endif
  --disable-schemas-install

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=${RPM_BUILD_ROOT} install-strip

mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/{Config,FrontEnd,IMEngine,SetupUI,Helper}

rm -f ${RPM_BUILD_ROOT}/%{_libdir}/scim-1.0/*/*/*.{a,la}
rm -f ${RPM_BUILD_ROOT}//opt/gnome/lib/gtk-2.0/immodules/im-scim.{a,la}

# install user manual
mkdir -p docs/dist/manual/zh_CN/figures/

cp -a docs/manual/zh_CN/user-manual.{html,xml} docs/dist/manual/zh_CN/
cp -a docs/manual/zh_CN/figures/*.png docs/dist/manual/zh_CN/figures/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%if %{build_gtk2_immodule}
gtk-query-immodules-2.0-32 > %{_sysconfdir}/gtk-2.0/gtk.immodules
%endif

%postun
/sbin/ldconfig

%if %{build_gtk2_immodule}
gtk-query-immodules-2.0-32 > %{_sysconfdir}/gtk-2.0/gtk.immodules
%endif


%files
%defattr(-, root, root)
#%doc AUTHORS COPYING NEWS README ChangeLog TODO
#%doc docs/dist/manual/zh_CN
%dir %{_sysconfdir}/scim
%dir %{_libdir}/scim-1.0/*/FrontEnd
%dir %{_libdir}/scim-1.0/*/IMEngine
%dir %{_libdir}/scim-1.0/*/Config
%dir %{_libdir}/scim-1.0/*/SetupUI
%dir %{_libdir}/scim-1.0/*/Helper
%dir %{_libdir}/scim-1.0/Config
%dir %{_libdir}/scim-1.0/FrontEnd
%dir %{_libdir}/scim-1.0/IMEngine
%dir %{_libdir}/scim-1.0/SetupUI
%dir %{_libdir}/scim-1.0/Helper
%dir %{_datadir}/scim
%dir %{_datadir}/scim/icons
%config %{_sysconfdir}/scim/global
%{_bindir}/scim
%{_bindir}/scim-config-agent
%{_libdir}/libscim*.so.*
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%{_datadir}/locale/*/LC_MESSAGES/scim.mo
%{_datadir}/scim/icons/keyboard.png
%{_datadir}/scim/icons/up.png
%{_datadir}/scim/icons/down.png
%{_datadir}/scim/icons/left.png
%{_datadir}/scim/icons/right.png
%{_datadir}/scim/icons/full-letter.png
%{_datadir}/scim/icons/half-letter.png
%{_datadir}/scim/icons/full-punct.png
%{_datadir}/scim/icons/half-punct.png
%{_datadir}/scim/icons/help.png
%{_datadir}/scim/icons/pin-up.png
%{_datadir}/scim/icons/pin-down.png
%{_datadir}/scim/icons/setup.png
%{_datadir}/scim/icons/trademark.png
%{_datadir}/scim/icons/menu.png
%if %{build_scim_setup}
%{_bindir}/scim-setup
%{_datadir}/applications/scim-setup.desktop
%{_datadir}/control-center-2.0/capplets/scim-setup.desktop
%{_datadir}/pixmaps/scim-setup.png
%{_libdir}/scim-1.0/*/Helper/setup.so
%{_libdir}/scim-1.0/*/SetupUI/frontend-hotkeys-setup.so
%{_libdir}/scim-1.0/*/SetupUI/aaa-imengine-setup.so
%endif
%if %{build_panel_gtk}
%{_libdir}/scim-1.0/scim-panel-gtk
%if %{build_scim_setup}
%{_libdir}/scim-1.0/*/SetupUI/panel-gtk-setup.so
%endif
%endif
%if %{build_frontend_x11}
%{_libdir}/scim-1.0/*/FrontEnd/x11.so
%if %{build_scim_setup}
%{_libdir}/scim-1.0/*/SetupUI/x11-frontend-setup.so
%endif
%endif
%if %{build_imengine_rawcode}
%{_libdir}/scim-1.0/*/IMEngine/rawcode.so
%{_datadir}/scim/icons/rawcode.png
%endif
%if %{build_config_simple}
%config %{_sysconfdir}/scim/config
%{_libdir}/scim-1.0/*/Config/simple.so
%endif
%if %{build_imengine_socket}
%{_libdir}/scim-1.0/*/IMEngine/socket.so
%endif
%if %{build_frontend_socket}
%{_libdir}/scim-1.0/*/FrontEnd/socket.so
%endif
%if %{build_config_socket}
%{_libdir}/scim-1.0/*/Config/socket.so
%endif
%if %{build_gtk2_immodule}
#/opt/gnome/lib/gtk-2.0/immodules/im-scim.so
/usr/lib/gtk-2.0/immodules/im-scim.so
%endif

%files devel
%defattr(-, root, root)
%doc docs/html
%doc docs/developers
%{_libdir}/libscim*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/scim-1.0


%changelog
* Mon Mar 14 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.2.1
* Sat Mar 5 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.2.0
* Tue Feb 8 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.3
* Mon Jan 3 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.0.2
* Mon Dec 27 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
